# Created by pyp2rpm-3.3.7
%global pypi_name pytest-localserver

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 3
Summary:        py.test plugin to test server connections locally
Group:          Development/Python
License:        MIT License
URL:            https://github.com/pytest-dev/pytest-localserver
Source0:        %{pypi_source pytest-localserver}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3dist(pytest) >= 6.2.4
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(werkzeug) >= 0.10

%description
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally. Sometimes monkeypatching
urllib2.urlopen() just does not cut it, for instance if you work with
urllib2.Request, define your own openers/handlers or work with httplib. In
these cases it may come in handy to have an HTTP server running locally which
behaves just like the real thing.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally. Sometimes monkeypatching
urllib2.urlopen() just does not cut it, for instance if you work with
urllib2.Request, define your own openers/handlers or work with httplib. In
these cases it may come in handy to have an HTTP server running locally which
behaves just like the real thing.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_localserver

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Fri Dec 08 2023 wally <wally> 0.7.0-3.mga10
+ Revision: 2015745
- rebuild for py3.12

* Fri Nov 04 2022 wally <wally> 0.7.0-2.mga9
+ Revision: 1902755
- update setuptools-scm BRs

* Thu Sep 08 2022 neoclust <neoclust> 0.7.0-1.mga9
+ Revision: 1885707
- New version  0.7.0

* Sat Aug 13 2022 wally <wally> 0.6.0-1.mga9
+ Revision: 1877291
- new version 0.6.0
- switch build to use pyproject RPM macros

* Tue Mar 29 2022 umeabot <umeabot> 0.5.1-2.mga9
+ Revision: 1832165
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.5.1-1.mga9
+ Revision: 1775849
- version 0.5.1
- fix URL and Source0
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.5.0-1.mga9
+ Revision: 1743346
- imported package python-pytest-localserver

